%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.19.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches:
#
# Mageia patches:
Patch501:	0001-Fix-Chromium-helper.patch
Patch502:	0002-Add-Firefox-Beta-helper.patch
Patch503:	0001-Add-MATE-terminal-helper.patch
Patch504:	0001-Add-Google-Chrome-Beta-helper.patch
BuildRequires:	git-core
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(exo-2) >= 4.18.0
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(garcon-1) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(inputproto)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4kbd-private-3) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-libinput)
BuildRequires:	pkgconfig(xrandr)

# for color profile handling
Requires:	xiccd
# for showing information about the profile
Recommends:	gnome-color-manager

%description
Configuration settings manager for Xfce desktop environment.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--enable-maintainer-mode \
	--enable-sound-settings \
	--enable-libnotify \
	--enable-xrandr \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make_build

%install
%make_install

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README*
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_libdir}/gtk-3.0/modules/libxfsettingsd-gtk-settings-sync.so
%dir %{_libdir}/xfce4/
%{_libdir}/xfce4/xfce4-compose-mail
%dir %{_libdir}/xfce4/settings/
%{_libdir}/xfce4/settings/appearance-install-theme
%{_bindir}/xfsettingsd
%{_bindir}/xfce4*
%dir %{_datadir}/xfce4/helpers/
%{_datadir}/xfce4/helpers/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.{png,svg}


%changelog
* Fri Nov 01 2024 wally <wally> 4.19.3-1.mga10
+ Revision: 2112134
- new versio 4.19.3

* Sun Apr 21 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2060351
- new version 4.19.2

* Sun Dec 03 2023 wally <wally> 4.18.4-1.mga10
+ Revision: 2012828
- new version 4.18.4

* Mon Sep 04 2023 wally <wally> 4.18.3-1.mga10
+ Revision: 1984099
- new version 4.18.3

* Sun Feb 12 2023 wally <wally> 4.18.2-1.mga9
+ Revision: 1940854
- new version 4.18.2

* Sat Dec 24 2022 wally <wally> 4.18.1-1.mga9
+ Revision: 1926424
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923758
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.3-1.mga9
+ Revision: 1915983
- new version 4.17.3

* Sun Nov 13 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1906849
- new version 4.17.2

* Tue Nov 08 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1904746
- new version 4.17.1

* Fri Nov 04 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1902848
- new version 4.17.0

* Wed Jul 06 2022 wally <wally> 4.16.3-1.mga9
+ Revision: 1867866
- new version 4.16.3

* Sat Jul 02 2022 wally <wally> 4.16.2-3.mga9
+ Revision: 1867111
- fix Xfce hang with libX11 1.8.1 (mga#30593)

* Sun Apr 03 2022 umeabot <umeabot> 4.16.2-2.mga9
+ Revision: 1842484
- Mageia 9 Mass Rebuild

* Tue Jun 08 2021 wally <wally> 4.16.2-1.mga9
+ Revision: 1730171
- new version 4.16.2

* Thu Apr 15 2021 wally <wally> 4.16.1-1.mga9
+ Revision: 1715903
- new version 4.16.1

* Sun Jan 24 2021 wally <wally> 4.16.0-2.mga8
+ Revision: 1673209
- remove recommends for xfce4-screensaver

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663188
- new version 4.16.0

* Mon Nov 16 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1646700
- new version 4.15.3

* Wed Aug 19 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1616306
- new version 4.15.2

* Sun Jul 05 2020 wally <wally> 4.15.1-3.mga8
+ Revision: 1602305
- add Google Chrome Beta helper for default apps

* Sun Jul 05 2020 wally <wally> 4.15.1-2.mga8
+ Revision: 1602301
- add fixes from upstream gitlab

* Fri Jun 19 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1597375
- new version 4.15.1

* Sun Apr 12 2020 wally <wally> 4.14.3-1.mga8
+ Revision: 1567012
- new version 4.14.3

* Wed Feb 19 2020 umeabot <umeabot> 4.14.2-2.mga8
+ Revision: 1543028
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 11 2020 wally <wally> 4.14.2-1.mga8
+ Revision: 1477568
- new version 4.14.2

* Thu Aug 29 2019 wally <wally> 4.14.1-2.mga8
+ Revision: 1435064
- require xiccd for color profile support
- recommend gnome-color-manager for showing detailed information about the color profiles

* Thu Aug 22 2019 wally <wally> 4.14.1-1.mga8
+ Revision: 1431098
- new version 4.14.1

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428932
- new version 4.14.0

* Sun Jul 28 2019 wally <wally> 4.13.8-1.mga8
+ Revision: 1424750
- new version 4.13.8

* Sat Jul 13 2019 wally <wally> 4.13.7-3.mga8
+ Revision: 1420988
- add upstream patch to start xfsettingsd with the highest priority (xfce#15697)

* Fri Jul 05 2019 wally <wally> 4.13.7-2.mga8
+ Revision: 1418814
- recommend xfce4-screensaver instead of xscreensaver

* Mon Jul 01 2019 wally <wally> 4.13.7-1.mga8
+ Revision: 1417264
- new version 4.13.7
- drop upstreamed patches
- drop icon patches

* Mon May 27 2019 wally <wally> 4.13.6-5.mga7
+ Revision: 1399266
- add upstream patch to disable auto-enabling display profiles by default (mga#24870, xfce#15437)

* Tue May 21 2019 wally <wally> 4.13.6-4.mga7
+ Revision: 1398758
- fix more icons in display settings diaglogs

* Tue May 21 2019 wally <wally> 4.13.6-3.mga7
+ Revision: 1398734
- enable build time maintainer mode to really fix xfce4-display-settings icons

* Tue May 21 2019 wally <wally> 4.13.6-2.mga7
+ Revision: 1398730
- add patch to fix hidden texts and buttons with certain icon themes in xfce4-display-settings (xfce#15416)
- add patch to use symbolic icons with xfce4-display-settings

* Sat May 18 2019 wally <wally> 4.13.6-1.mga7
+ Revision: 1398251
- new version 4.13.5
- drop patches from upstream
- enable colord support

* Thu Jan 24 2019 wally <wally> 4.13.5-2.mga7
+ Revision: 1360509
- add upstream patch to fix crash when no RRMode is available (xfce#12607)

* Wed Oct 03 2018 wally <wally> 4.13.5-1.mga7
+ Revision: 1317196
- new version 4.13.5

* Sun Sep 23 2018 umeabot <umeabot> 4.13.4-2.mga7
+ Revision: 1301881
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 4.13.4-1.mga7
+ Revision: 1238497
- new version 4.13.4

* Sun Jun 17 2018 wally <wally> 4.13.3-1.mga7
+ Revision: 1237440
- new version 4.13.3

* Mon Mar 19 2018 wally <wally> 4.13.2-1.mga7
+ Revision: 1210442
- new version 4.13.2

* Fri Sep 29 2017 wally <wally> 4.13.1-1.mga7
+ Revision: 1161630
- new version 4.13.1

* Sat Mar 11 2017 wally <wally> 4.12.1-2.mga6
+ Revision: 1091952
- only recommend xscreensaver

* Thu Sep 15 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1053123
- new version 4.12.1
- drop upstreamed patches

* Tue Aug 16 2016 wally <wally> 4.12.0-4.mga6
+ Revision: 1046505
- add patches from upstream git to fix bugs reported to upstream

* Wed Feb 17 2016 umeabot <umeabot> 4.12.0-3.mga6
+ Revision: 963566
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 wally <wally> 4.12.0-2.mga6
+ Revision: 839520
- enable libinput support

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817397
- new version 4.12.0
- drop patches from upstream

* Sat Jan 31 2015 wally <wally> 4.11.3-4.mga5
+ Revision: 812905
- add patch from upstream to update mimeapps.list location for glib >= 2.41 (xfce#11293)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.3-3.mga5
+ Revision: 743215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.3-2.mga5
+ Revision: 690630
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 wally <wally> 4.11.3-1.mga5
+ Revision: 667356
- new version 4.11.3
- drop upstreamed patches

* Mon Jul 28 2014 wally <wally> 4.11.2-4.mga5
+ Revision: 657738
- add patch from upstream bugzilla to fix gtk_init() before fork()ing (xfce#11045)

* Thu May 29 2014 wally <wally> 4.11.2-3.mga5
+ Revision: 627759
- add UPower 0.99 support (xfce#10918)

* Mon Apr 07 2014 wally <wally> 4.11.2-2.mga5
+ Revision: 612694
- disable upower support until it gets ported to the new API

* Sun Feb 23 2014 wally <wally> 4.11.2-1.mga5
+ Revision: 595892
- new version 4.11.2

* Sat Feb 08 2014 wally <wally> 4.11.1-3.mga5
+ Revision: 586115
- rebuild for new upower

* Sat Oct 19 2013 umeabot <umeabot> 4.11.1-2.mga4
+ Revision: 536709
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 4.11.1-1.mga4
+ Revision: 485382
- new version 4.11.1
- enable upower support

* Mon Jan 14 2013 umeabot <umeabot> 4.11.0-3.mga3
+ Revision: 386866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.11.0-2.mga3
+ Revision: 338153
- fix build after %%_libexecdir change

* Thu Nov 01 2012 wally <wally> 4.11.0-1.mga3
+ Revision: 312105
- new version 4.11.0
- drop patches from upstream

* Sun Sep 09 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 291160
- add patches from upstream git to fix bugs reported upstream
  * fix-gtk3-theme-detection.patch (xfce#9272)
  * check-service-name-of-NameOwnerChanged.patch (xfce#9273)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248464
- new version 4.10.0
- clean .spec

* Sun Feb 26 2012 wally <wally> 4.9.2-2.mga2
+ Revision: 215065
- add P0 from upstream GIT to hopefully fix X server problems with Qt apps (mga#4549)

* Mon Feb 13 2012 wally <wally> 4.9.2-1.mga2
+ Revision: 208459
- remove unregistered value from .desktop files
- new version 4.9.2

* Sun Jan 29 2012 wally <wally> 4.9.1-1.mga2
+ Revision: 203011
- new version 4.9.1
- clean BRs
- drop old obsoletes/provides
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.3-1.mga2
+ Revision: 147284
- new version 4.8.3

* Mon Jun 13 2011 ahmad <ahmad> 4.8.2-1.mga2
+ Revision: 105577
- Update to 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53260
- update to 4.8.1

* Thu Feb 17 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 53007
- drop an old/unneeded patch
- imported package xfce4-settings


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 632337
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.7-1mdv2011.0
+ Revision: 629101
- update to new version 4.7.7

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.6-1mdv2011.0
+ Revision: 616398
- update to new version 4.7.6

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 609504
- add versioned buildrequires on libxfcegui4-devel

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 594779
- update to new version 4.7.4

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 593820
- update to new version 4.7.3

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 579351
- update to new version 4.7.2
- update configure options
- update buildrequires

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.5-1mdv2011.0
+ Revision: 553885
- update to new version 4.6.5
- drop patch 0, fixed by upstream

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 4.6.4-2mdv2010.1
+ Revision: 489692
- patch for new libxklavier

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.4-1mdv2010.1
+ Revision: 485061
- update to new version 4.6.4
- drop patch 2, fixed upstream

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-3mdv2010.1
+ Revision: 465100
- Patch2: fix detecting newer libXi versions

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-2mdv2010.1
+ Revision: 464912
- rebuild for new X11 librariers

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-1mdv2010.0
+ Revision: 455242
- update to new version 4.6.3
- drop pacthes 0, 2, 3 and 4 as they were fixed by upstream
- adapt to new URL schemas for Xfce sources

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 4.6.1-3mdv2010.0
+ Revision: 393441
- build with new libxklavier (bug #52028)

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.0
+ Revision: 386851
- Patch2: avoind timing out of xfce4-session on startup
- Patch3: fix two typos in keyboard settings dialog

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368578
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-5mdv2009.1
+ Revision: 364247
- Patch3: do not set keyboard layout by default
- Patch4: use folder name for selecting the icon and theme style

* Tue Mar 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 356959
- Patch2: select the correct refresh rate in the display dialog

* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 355023
- Patch2: changing screen resolution works again
- enable embedded dialogs in xfce4-settings
- extend description

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349230
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345708
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333982
- update to new version 4.5.99.1
- Patch1: fix build with -Werror=format-security
- use versionate buildrequires on xfconf-devel

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329518
- update to new version 4.5.93

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 326459
- fix desktop entry

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303562
- exclude xsettings.xml, as it should go to mandriva-xfce-config
- add full path for the Source0
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-3mdv2009.1
+ Revision: 294738
- obsolete xfce-mcs library, manager and plugins

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294458
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for xfce4-settings.

